Package com.emc.documentum.rest.sort

# Class SortOrder

java.lang.Object
com.emc.documentum.rest.sort.SortOrder

public class SortOrder extends Object
The definition for an ordered attribute in the order specification

See Also:
  - `SortSpec`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortOrder(String attribute)`
  Constructor with parameter attribute.
  `SortOrder(String attribute, boolean isAscending)`
  Constructor with parameters attribute and ascending.
  `SortOrder(String attribute, boolean isAscending, boolean forceCaseIns)`
  Constructor with parameters attribute and ascending.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttribute()`
  Return the attribute in the sort order
  `boolean`
  `isAscending()`
  Return if the attribute sort is ascending
  `boolean`
  `isForceCaseInsensitive()`
  Return if the attribute sort is forced to case insensitive mode

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SortOrder

    public SortOrder(String attribute)
    Constructor with parameter attribute. The sort order is ascending.
    Parameters:
      `attribute` - the object attribute

  - ### SortOrder

    public SortOrder(String attribute, boolean isAscending)
    Constructor with parameters attribute and ascending.
    Parameters:
      `attribute` - the object attribute
      `isAscending` - indicate whether to sort in ascending sequence by this attribute; true indicates ascending and false indicates descending.

  - ### SortOrder

    public SortOrder(String attribute, boolean isAscending, boolean forceCaseIns)
    Constructor with parameters attribute and ascending.
    Parameters:
      `attribute` - the object attribute
      `isAscending` - indicate whether to sort in ascending sequence by this attribute; true indicates ascending and false indicates descending.
      `forceCaseIns` - indicate whether to force sorting by case insensitive mode; true indicates to force case insensitive and false indicates to the DB default capability.

- ## Method Details

  - ### isAscending

    public boolean isAscending()
    Return if the attribute sort is ascending
    Returns:
      true if the sort is ascending; false for otherwise.

  - ### getAttribute

    public String getAttribute()
    Return the attribute in the sort order
    Returns:
      the attribute for the sort.

  - ### isForceCaseInsensitive

    public boolean isForceCaseInsensitive()
    Return if the attribute sort is forced to case insensitive mode
    Returns:
      true if the sort is forced to be case insensitive; false for otherwise.